        var map;
        var loadEnd;
        var oloMarker; // OpenLayer Overview Marker
		var obslonlat = {
			HF_0041:{lat:34.90907,lon:129.2},
			HF_0061:{lat:37.03165,lon:126.2412},
			HF_0063:{lat:35.4,lon:129.6075},
			HF_0065:{lat:34.76561,lon:127.8049}
		};
        function init() {
			map = new OpenLayers.Map('map', {
			  theme: null,
			  controls: [
				  new OpenLayers.Control.Attribution(),
				  new OpenLayers.Control.Navigation({
					  dragPanOptions: {
						  enableKinetic: true
					  }
				  })
			  ],
			  sphericalMercator: true,
			  projection: new OpenLayers.Projection("EPSG:900913"),
			  units: "m",
			  numZoomLevels: 16,
			  maxResolution: 156543.0339,
			  maxExtent: new OpenLayers.Bounds(-20037508.34, -20037508.34, 20037508.34, 20037508.34),
			  restrictedExtent: new OpenLayers.Bounds(12823060.932019735,3248973.789650974, 15730006.674231393,5621521.486192066),
			  isValidZoomLevel : function(zoomLevel) {
							return ((zoomLevel != null) && (zoomLevel >= 6) && (zoomLevel < 16));
						}
			});

            

            var vWorldStreet = new OpenLayers.Layer.XYZ(
                "VWorld Street Map",
                [
					"http://xdworld.vworld.kr:8080/2d/Base/201512/${z}/${x}/${y}.png"
                ]
            );
            
			map.addLayers([vWorldStreet]);
			map.setCenter(new OpenLayers.LonLat(14243425.793355, 4302305.8698004), 7); // Zoom level
									
			var og_gd01_as = new OpenLayers.Layer.WMS(
					'og_gd01_as', 'http://www.khoa.go.kr/oceangrid/cmm/proxyRun.do?call=wms',
					{
						layers: 'geotwo_postgis:og_gd01_as', transparent: 'true' 
 						,version: '1.1.0'
					}, {
                        singleTile: true
					}
				)			
			map.addLayers([og_gd01_as]);
	}//init end




 function setMarker(map,lon,lat){
	if(map.getLayersByName("markername").length != 0){
		map.removeLayer(map.getLayersByName("markername")[0]);
	}
 
	var lon_lat = new OpenLayers.Geometry.Point(lon,lat).transform(new OpenLayers.Projection("EPSG:4326"),map.projection);
	var overlay = new OpenLayers.Layer.Vector("markername", {
			styleMap: new OpenLayers.StyleMap({
				externalGraphic: 'img/icon_DT_v01.png',
				graphicWidth: 20, graphicHeight: 24, graphicYOffset: -24,
				title: ''
			})
		});

    overlay.addFeatures([
        new OpenLayers.Feature.Vector(lon_lat, {tooltip: 'OpenLayers'})
    ]);

	map.addLayers([overlay]);

 }
	
	function keepOffsetOn(obj){
		var asd = $(obj).offset();
		$(obj).css("left",asd.left+"px");
		$(obj).css("right","auto");
	}

	function keepOffsetOff(obj){
		var width = $(obj).outerWidth()-20;
		$(obj).css("right","-"+width+"px");
		$(obj).css("left","auto");
	}
 
	
	function jsonparser(data){
		$("#dataList").find("tr").remove();
		if(data.result.data == undefined){
			$("#dataList").append( "<tr><td>검새된 데이터가 없습니다.</td></tr>" );
			return false;
		}else{
			var datalist = data.result.data;
			$("#dataList").append( "<tr><th>관측점경도</th><th>관측점위도</th><th>유속</th><th>유향</th></tr>" ); 
			for(var i=0; i< data.result.data.length; i++){
				var lon =datalist[i].lon; 
				var lat =datalist[i].lat;
				var current_speed =datalist[i].current_speed; 
				var current_direct =datalist[i].current_direct;
				 $("#dataList").append( "<tr><td>"+lon+"</td><td>"+lat+"</td><td>"+current_speed+"</td><td>"+current_direct+"</td></tr>" ); 
			}
			return true;
		}
	}

	function xmlparser(data){
		if($(data).find("result") != ""){
			$("#dataList").find("tr").remove();
			var dataLength = $(data).find("result").find("data").length;
			if(dataLength <= 0){
				$("#dataList").append( "<tr><td>검새된 데이터가 없습니다.</td></tr>" ); 
				return false;
			}else{
				$("#dataList").append( "<tr><th>관측점경도</th><th>관측점위도</th><th>유속</th><th>유향</th></tr>" ); 
				var idx = 1;
				$(data).find("result").find("data").each(function(){
					 $("#dataList").append( "<tr><td>"+$(this).find("lon").text()+"</td><td>"+$(this).find("lat").text()+"</td><td>"+$(this).find("current_speed").text()+"</td><td>"+$(this).find("current_direct").text()+"</td></tr>" ); 
				});
				return true;
			}
		}
	}

	
	function createMetaPopup(ObsCode,data,ResultType){
		for(idx =0; idx < map.popups.length;idx++){
			map.removePopup(map.popups[idx]);
		}
		

		var lon = eval("obslonlat."+ObsCode).lon;
		var lat = eval("obslonlat."+ObsCode).lat;
		setMarker(map,lon,lat);
		var content = "";
		if(ResultType == "json"){
			content = "<table id='metaList' name='metaList' style='font-size:11'>";
			content += "<tr><th>관측소 ID</th><td>"+	data.result.meta.obs_post_id+"</td></tr>"; 
			content += "<tr><th>관측소 명</th><td>"+data.result.meta.obs_post_name+"</td></tr>"; 
			content += "<tr><th>관측시간</th><td>"+data.result.meta.record_time+"</td></tr>"; 
			content += "<tr><th>금일요청가능횟수</th><td>"+data.result.meta.obs_last_req_cnt+"</td></tr>"; 
			content += "</table>"; 	
		}else if(ResultType == "xml"){
			content = "<table id='metaList' name='metaList' style='font-size:11' >";
			content += "<tr><th>관측소 ID</th><td>"+	$(data).find("result").find("meta").find("obs_post_id").text()+"</td></tr>"; 
			content += "<tr><th>관측소 명</th><td>"+$(data).find("result").find("meta").find("obs_post_name").text()+"</td></tr>"; 
			content += "<tr><th>관측시간</th><td>"+$(data).find("result").find("meta").find("record_time").text()+"</td></tr>"; 
			content += "<tr><th>금일요청가능횟수</th><td>"+$(data).find("result").find("meta").find("obs_last_req_cnt").text()+"</td></tr>"; 
			content += "</table>";
		}
		var popup = new OpenLayers.Popup.FramedCloud(ObsCode, 
			new OpenLayers.Geometry.Point(lon,lat).transform(new OpenLayers.Projection("EPSG:4326"),map.projection).getBounds().getCenterLonLat(), null
			,content
			,null
			,false 
		);
		map.addPopup(popup);
	}